Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Class PolygonFiller

    java.lang.Object
      ij.process.PolygonFiller

public class PolygonFiller
extends java.lang.Object

This class fills polygons using the scan-line filling algorithm described at "http://www.cs.rit.edu/~icss571/filling/".

Constructor Summary
`PolygonFiller()` Constructs a PolygonFiller.
`PolygonFiller(int[] x, int[] y, int n)` Constructs a PolygonFiller using the specified polygon.

Method Summary
`void` | `fill(ImageProcessor ip, java.awt.Rectangle r)` Fills the polygon using the ImageProcessor's current drawing color.
`ImageProcessor` | `getMask(int width, int height)` Returns a byte mask containing a filled version of the polygon.
`void` | `setPolygon(int[] x, int[] y, int n)` Specifies the polygon to be filled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolygonFiller

    public PolygonFiller()

  Constructs a PolygonFiller.

### PolygonFiller

    public PolygonFiller(int[] x,
                         int[] y,
                         int n)

  Constructs a PolygonFiller using the specified polygon.

Method Detail

### setPolygon

    public void setPolygon(int[] x,
                           int[] y,
                           int n)

  Specifies the polygon to be filled.

### fill

    public void fill(ImageProcessor ip,
                     java.awt.Rectangle r)

  Fills the polygon using the ImageProcessor's current drawing color.

### getMask

    public ImageProcessor getMask(int width,
                                  int height)

  Returns a byte mask containing a filled version of the polygon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD